<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->
	<title>Bootstrap Grid System</title>

</head>
<body class="text-center">

	<h2>Bootstrap Grid System</h2>

	<h2>Two Columns</h2>
	<div>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">Col 6</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">Col 6</div>
		</div>

		<div class="text-light row">	
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">Col 3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">Col 9</div>
		</div>

	</div>

	<!-- Three Columns -->

	<h2>Three Columns</h2>
	<div class="container-fluid">

		<h3>1:1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Col 4</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Col 4</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Col 4</div>
		</div>

		<!-- Row with three columns divided in 1:2:1 ratio -->

		<h3>1:2:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">Col 3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">Col 6</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">Col 3</div>
		</div>

		<!-- Row with three columns divided in uneven ratio -->

		<h3>Uneven Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">Col 3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">Col 7</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">Col 2</div>
		</div>
	</div>

	<h2>Automatic Sizing</h2>

	<div class="container-fluid">
		
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
		</div>

	</div>

	<!-- Mobile Responsive -->

	<h2>Mobile Responsive Columns</h2>

	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
		</div>

	</div>

	<!-- Multi Colums Layouts -->

	<h2>Multi Colums Layouts</h2>

	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
			
		</div>
	</div>

	<!-- offsetting columns- creates space before the columns -->

	<h2>Offsetting Columns</h2>

	<div class="container-fluid">
		<div class="text-light row">
			<!-- put margin to have spaces to each column ex. mr-2 -->
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Columns</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Columns</div>
		</div>
	</div>
	<!-- Column Ordera -->
	<h2>Column Orders</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
		</div>
		
	</div>

	<div class="container">
  <div class="row">
    <div class="col-6 col-sm-4">.col-6 .col-sm-4</div>
    <div class="col-6 col-sm-4">.col-6 .col-sm-4</div>

    <!-- Force next columns to break to new line at md breakpoint and up -->
    <div class="w-100 d-none d-md-block"></div>

    <div class="col-6 col-sm-4">.col-6 .col-sm-4</div>
    <div class="col-6 col-sm-4">.col-6 .col-sm-4</div>
  </div>
</div>


	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>